HttpHeaders (Grails 6.0.0)

Package: grails.web.http

## [Java] Class HttpHeaders

- grails.web.http.HttpHeaders

-     public class HttpHeaders
      extends java.lang.Object

  Constants for HTTP headers.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ACCEPT` |
    `static java.lang.String` | `ACCEPT_CHARSET` |
    `static java.lang.String` | `ACCEPT_ENCODING` |
    `static java.lang.String` | `ACCEPT_LANGUAGE` |
    `static java.lang.String` | `ACCEPT_RANGES` |
    `static java.lang.String` | `ACCEPT_VERSION` |
    `static java.lang.String` | `AGE` |
    `static java.lang.String` | `ALLOW` |
    `static java.lang.String` | `AUTHORIZATION` |
    `static java.lang.String` | `CACHE_CONTROL` |
    `static java.lang.String` | `CONNECTION` |
    `static java.lang.String` | `CONTENT_DISPOSITION` |
    `static java.lang.String` | `CONTENT_ENCODING` |
    `static java.lang.String` | `CONTENT_LANGUAGE` |
    `static java.lang.String` | `CONTENT_LENGTH` |
    `static java.lang.String` | `CONTENT_LOCATION` |
    `static java.lang.String` | `CONTENT_MD5` |
    `static java.lang.String` | `CONTENT_RANGE` |
    `static java.lang.String` | `CONTENT_TYPE` |
    `static java.lang.String` | `COOKIE` |
    `static java.lang.String` | `DATE` |
    `static java.lang.String` | `ETAG` |
    `static java.lang.String` | `EXPECT` |
    `static java.lang.String` | `EXPIRES` |
    `static java.lang.String` | `FORWARDED` |
    `static java.lang.String` | `FROM` |
    `static java.lang.String` | `HOST` |
    `static java.lang.String` | `IDENTITY` |
    `static java.lang.String` | `IF_MATCH` |
    `static java.lang.String` | `IF_MODIFIED_SINCE` |
    `static java.lang.String` | `IF_NONE_MATCH` |
    `static java.lang.String` | `IF_RANGE` |
    `static java.lang.String` | `IF_UNMODIFIED_SINCE` |
    `static java.lang.String` | `KEEP_ALIVE` |
    `static java.lang.String` | `LAST_MODIFIED` |
    `static java.lang.String` | `LOCATION` |
    `static java.lang.String` | `MAX_FORWARDS` |
    `static java.lang.String` | `MIME_VERSION` |
    `static java.lang.String` | `PRAGMA` |
    `static java.lang.String` | `PROXY_AUTHENTICATE` |
    `static java.lang.String` | `PROXY_AUTHORIZATION` |
    `static java.lang.String` | `PROXY_CONNECTION` |
    `static java.lang.String` | `RANGE` |
    `static java.lang.String` | `REFERER` |
    `static java.lang.String` | `REQUEST_RANGE` |
    `static java.lang.String` | `RETRY_AFTER` |
    `static java.lang.String` | `SERVER` |
    `static java.lang.String` | `SERVLET_ENGINE` |
    `static java.lang.String` | `SET_COOKIE` |
    `static java.lang.String` | `SET_COOKIE2` |
    `static java.lang.String` | `TE` |
    `static java.lang.String` | `TRAILER` |
    `static java.lang.String` | `TRANSFER_ENCODING` |
    `static java.lang.String` | `UPGRADE` |
    `static java.lang.String` | `USER_AGENT` |
    `static java.lang.String` | `VARY` |
    `static java.lang.String` | `VIA` |
    `static java.lang.String` | `WARNING` |
    `static java.lang.String` | `WWW_AUTHENTICATE` |
    `static java.lang.String` | `X_FORWARDED_FOR` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ACCEPT

    - #### public static final java.lang.String ACCEPT_CHARSET

    - #### public static final java.lang.String ACCEPT_ENCODING

    - #### public static final java.lang.String ACCEPT_LANGUAGE

    - #### public static final java.lang.String ACCEPT_RANGES

    - #### public static final java.lang.String ACCEPT_VERSION

    - #### public static final java.lang.String AGE

    - #### public static final java.lang.String ALLOW

    - #### public static final java.lang.String AUTHORIZATION

    - #### public static final java.lang.String CACHE_CONTROL

    - #### public static final java.lang.String CONNECTION

    - #### public static final java.lang.String CONTENT_DISPOSITION

    - #### public static final java.lang.String CONTENT_ENCODING

    - #### public static final java.lang.String CONTENT_LANGUAGE

    - #### public static final java.lang.String CONTENT_LENGTH

    - #### public static final java.lang.String CONTENT_LOCATION

    - #### public static final java.lang.String CONTENT_MD5

    - #### public static final java.lang.String CONTENT_RANGE

    - #### public static final java.lang.String CONTENT_TYPE

    - #### public static final java.lang.String COOKIE

    - #### public static final java.lang.String DATE

    - #### public static final java.lang.String ETAG

    - #### public static final java.lang.String EXPECT

    - #### public static final java.lang.String EXPIRES

    - #### public static final java.lang.String FORWARDED

    - #### public static final java.lang.String FROM

    - #### public static final java.lang.String HOST

    - #### public static final java.lang.String IDENTITY

    - #### public static final java.lang.String IF_MATCH

    - #### public static final java.lang.String IF_MODIFIED_SINCE

    - #### public static final java.lang.String IF_NONE_MATCH

    - #### public static final java.lang.String IF_RANGE

    - #### public static final java.lang.String IF_UNMODIFIED_SINCE

    - #### public static final java.lang.String KEEP_ALIVE

    - #### public static final java.lang.String LAST_MODIFIED

    - #### public static final java.lang.String LOCATION

    - #### public static final java.lang.String MAX_FORWARDS

    - #### public static final java.lang.String MIME_VERSION

    - #### public static final java.lang.String PRAGMA

    - #### public static final java.lang.String PROXY_AUTHENTICATE

    - #### public static final java.lang.String PROXY_AUTHORIZATION

    - #### public static final java.lang.String PROXY_CONNECTION

    - #### public static final java.lang.String RANGE

    - #### public static final java.lang.String REFERER

    - #### public static final java.lang.String REQUEST_RANGE

    - #### public static final java.lang.String RETRY_AFTER

    - #### public static final java.lang.String SERVER

    - #### public static final java.lang.String SERVLET_ENGINE

    - #### public static final java.lang.String SET_COOKIE

    - #### public static final java.lang.String SET_COOKIE2

    - #### public static final java.lang.String TE

    - #### public static final java.lang.String TRAILER

    - #### public static final java.lang.String TRANSFER_ENCODING

    - #### public static final java.lang.String UPGRADE

    - #### public static final java.lang.String USER_AGENT

    - #### public static final java.lang.String VARY

    - #### public static final java.lang.String VIA

    - #### public static final java.lang.String WARNING

    - #### public static final java.lang.String WWW_AUTHENTICATE

    - #### public static final java.lang.String X_FORWARDED_FOR